#include <stdio.h>
#include <stdlib.h>
#include <string.h>
int main(void)
{
    int N,Q;
    char A[N];
    char B[Q];
    char A1;
    char B1;
   scanf("%d%d%s%s",&N,&Q,&A,&B);
   int i, j;
   int n = strlen(A);
   for (i = 0; i < n-1; i++) {
      for (j = i+1; j < n; j++) {
         if (A[i] > A[j]) {
            A1 = A[i];
            A[i] = A[j];
            A[j] = A1;
         }
      }
   }
   char Ap=(N/2)+1;
   printf("%s",Ap);
   return 0;
}